<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\ApprovedJobs::class,
            'table' => 'assetise_asset_approved_jobs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['job_proposal_id',  'user_id',  'job_number',  'funding_year',  'budget',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/approved_jobs',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "job_proposal_id", 
                "type" => "text", 
                "label" => 'asset::approved_jobs.label.job_proposal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "job_number", 
                "type" => "text", 
                "label" => 'asset::approved_jobs.label.job_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "funding_year", 
                "type" => "text", 
                "label" => 'asset::approved_jobs.label.funding_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "budget", 
                "type" => "text", 
                "label" => 'asset::approved_jobs.label.budget', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'job_proposal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::approved_jobs.label.job_proposal_id',
                "placeholder" => 'asset::approved_jobs.placeholder.job_proposal_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'job_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::approved_jobs.label.job_number',
                "placeholder" => 'asset::approved_jobs.placeholder.job_number',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'funding_year',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::approved_jobs.label.funding_year',
                "placeholder" => 'asset::approved_jobs.placeholder.funding_year',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'budget',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::approved_jobs.label.budget',
                "placeholder" => 'asset::approved_jobs.placeholder.budget',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/approved_jobs/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/approved_jobs/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/approved_jobs',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/approved_jobs',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/approved_jobs',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/approved_jobs',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::approved_jobs.label.created_at',
            'name' => 'asset::approved_jobs.label.name',
            'status' => 'asset::approved_jobs.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::approved_jobs.groups.main",
                'key' => "main",
                'title' => "asset::approved_jobs.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::approved_jobs.groups.details",
                'key' => "documents",
                'title' => "asset::approved_jobs.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::approved_jobs.groups.images",
                'key' => "documents",
                'title' => "asset::approved_jobs.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::approved_jobs.groups.settings",
                'key' => "documents",
                'title' => "asset::approved_jobs.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'ApprovedJobs',
        ],

        
        
    ];
