<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Asset::class,
            'table' => 'assetise_asset_assets',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['asset_type_id',  'approved_jobs_id',  'user_id',  'name',  'group_m',  'description',  'id_number',  'qty',  'qty_type_m',  'purchase_date',  'age',  'book_replacement_date',  'book_remaining_life',  'total_replacement_cost',  'asset_category_m',  'replace_refurbish_m',  'funding_source',  'images',  'assetid2',  'comment',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/asset',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "asset_type_id", 
                "type" => "text", 
                "label" => 'asset::asset.label.asset_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_jobs_id", 
                "type" => "text", 
                "label" => 'asset::asset.label.approved_jobs_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'asset::asset.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "group_m", 
                "type" => "text", 
                "label" => 'asset::asset.label.group_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'asset::asset.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "id_number", 
                "type" => "text", 
                "label" => 'asset::asset.label.id_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qty", 
                "type" => "text", 
                "label" => 'asset::asset.label.qty', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qty_type_m", 
                "type" => "text", 
                "label" => 'asset::asset.label.qty_type_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "purchase_date", 
                "type" => "text", 
                "label" => 'asset::asset.label.purchase_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "age", 
                "type" => "text", 
                "label" => 'asset::asset.label.age', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "book_replacement_date", 
                "type" => "text", 
                "label" => 'asset::asset.label.book_replacement_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "book_remaining_life", 
                "type" => "text", 
                "label" => 'asset::asset.label.book_remaining_life', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_replacement_cost", 
                "type" => "text", 
                "label" => 'asset::asset.label.total_replacement_cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "asset_category_m", 
                "type" => "text", 
                "label" => 'asset::asset.label.asset_category_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "replace_refurbish_m", 
                "type" => "text", 
                "label" => 'asset::asset.label.replace_refurbish_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "funding_source", 
                "type" => "text", 
                "label" => 'asset::asset.label.funding_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'asset::asset.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assetid2", 
                "type" => "text", 
                "label" => 'asset::asset.label.assetid2', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "comment", 
                "type" => "text", 
                "label" => 'asset::asset.label.comment', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'asset_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset.label.asset_type_id',
                "placeholder" => 'asset::asset.placeholder.asset_type_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_jobs_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset.label.approved_jobs_id',
                "placeholder" => 'asset::asset.placeholder.approved_jobs_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.name',
                "placeholder" => 'asset::asset.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'group_m',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset.label.group_m',
                "placeholder" => 'asset::asset.placeholder.group_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.description',
                "placeholder" => 'asset::asset.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'id_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.id_number',
                "placeholder" => 'asset::asset.placeholder.id_number',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qty',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.qty',
                "placeholder" => 'asset::asset.placeholder.qty',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qty_type_m',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset.label.qty_type_m',
                "placeholder" => 'asset::asset.placeholder.qty_type_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'purchase_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'asset::asset.label.purchase_date',
                "placeholder" => 'asset::asset.placeholder.purchase_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'age',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset.label.age',
                "placeholder" => 'asset::asset.placeholder.age',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'book_replacement_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'asset::asset.label.book_replacement_date',
                "placeholder" => 'asset::asset.placeholder.book_replacement_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'book_remaining_life',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset.label.book_remaining_life',
                "placeholder" => 'asset::asset.placeholder.book_remaining_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_replacement_cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset.label.total_replacement_cost',
                "placeholder" => 'asset::asset.placeholder.total_replacement_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'asset_category_m',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.asset_category_m',
                "placeholder" => 'asset::asset.placeholder.asset_category_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'replace_refurbish_m',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.replace_refurbish_m',
                "placeholder" => 'asset::asset.placeholder.replace_refurbish_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'funding_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.funding_source',
                "placeholder" => 'asset::asset.placeholder.funding_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.images',
                "placeholder" => 'asset::asset.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assetid2',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset.label.assetid2',
                "placeholder" => 'asset::asset.placeholder.assetid2',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'comment',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset.label.comment',
                "placeholder" => 'asset::asset.placeholder.comment',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/asset/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/asset/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/asset',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/asset',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/asset',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/asset',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::asset.label.created_at',
            'name' => 'asset::asset.label.name',
            'status' => 'asset::asset.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::asset.groups.main",
                'key' => "main",
                'title' => "asset::asset.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::asset.groups.details",
                'key' => "documents",
                'title' => "asset::asset.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::asset.groups.images",
                'key' => "documents",
                'title' => "asset::asset.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::asset.groups.settings",
                'key' => "documents",
                'title' => "asset::asset.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Asset',
        ],

        
        
    ];
