<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\AssetLevel::class,
            'table' => 'assetise_asset_asset_levels',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['asset_inspection_id',  'user_id',  'parent',  'column_name',  'level_name',  'level',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/asset_level',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "asset_inspection_id", 
                "type" => "text", 
                "label" => 'asset::asset_level.label.asset_inspection_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parent", 
                "type" => "text", 
                "label" => 'asset::asset_level.label.parent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "column_name", 
                "type" => "text", 
                "label" => 'asset::asset_level.label.column_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "level_name", 
                "type" => "text", 
                "label" => 'asset::asset_level.label.level_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "level", 
                "type" => "text", 
                "label" => 'asset::asset_level.label.level', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'asset_inspection_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset_level.label.asset_inspection_id',
                "placeholder" => 'asset::asset_level.placeholder.asset_inspection_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parent',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset_level.label.parent',
                "placeholder" => 'asset::asset_level.placeholder.parent',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'column_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_level.label.column_name',
                "placeholder" => 'asset::asset_level.placeholder.column_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'level_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_level.label.level_name',
                "placeholder" => 'asset::asset_level.placeholder.level_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'level',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset_level.label.level',
                "placeholder" => 'asset::asset_level.placeholder.level',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/asset_level/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/asset_level/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/asset_level',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/asset_level',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/asset_level',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/asset_level',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::asset_level.label.created_at',
            'name' => 'asset::asset_level.label.name',
            'status' => 'asset::asset_level.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::asset_level.groups.main",
                'key' => "main",
                'title' => "asset::asset_level.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::asset_level.groups.details",
                'key' => "documents",
                'title' => "asset::asset_level.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::asset_level.groups.images",
                'key' => "documents",
                'title' => "asset::asset_level.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::asset_level.groups.settings",
                'key' => "documents",
                'title' => "asset::asset_level.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'AssetLevel',
        ],

        
        
    ];
