<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\AssetType::class,
            'table' => 'assetise_asset_asset_types',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'name',  'book_expected_life',  'replacement_unit_cost',  'qty_type_m',  'expected_life_source',  'removal_cost',  'removal_unit_cost_source',  'supply_install_cost',  'design_fees',  'contingency',  'model',  'system',  'images',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/asset_type',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "book_expected_life", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.book_expected_life', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "replacement_unit_cost", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.replacement_unit_cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qty_type_m", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.qty_type_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expected_life_source", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.expected_life_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "removal_cost", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.removal_cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "removal_unit_cost_source", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.removal_unit_cost_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supply_install_cost", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.supply_install_cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "design_fees", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.design_fees', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contingency", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.contingency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "model", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.model', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "system", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.system', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'asset::asset_type.label.images', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.name',
                "placeholder" => 'asset::asset_type.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'book_expected_life',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset_type.label.book_expected_life',
                "placeholder" => 'asset::asset_type.placeholder.book_expected_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'replacement_unit_cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset_type.label.replacement_unit_cost',
                "placeholder" => 'asset::asset_type.placeholder.replacement_unit_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qty_type_m',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.qty_type_m',
                "placeholder" => 'asset::asset_type.placeholder.qty_type_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expected_life_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.expected_life_source',
                "placeholder" => 'asset::asset_type.placeholder.expected_life_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'removal_cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset_type.label.removal_cost',
                "placeholder" => 'asset::asset_type.placeholder.removal_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'removal_unit_cost_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.removal_unit_cost_source',
                "placeholder" => 'asset::asset_type.placeholder.removal_unit_cost_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supply_install_cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset_type.label.supply_install_cost',
                "placeholder" => 'asset::asset_type.placeholder.supply_install_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'design_fees',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset_type.label.design_fees',
                "placeholder" => 'asset::asset_type.placeholder.design_fees',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contingency',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::asset_type.label.contingency',
                "placeholder" => 'asset::asset_type.placeholder.contingency',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'model',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::asset_type.label.model',
                "placeholder" => 'asset::asset_type.placeholder.model',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'system',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.system',
                "placeholder" => 'asset::asset_type.placeholder.system',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::asset_type.label.images',
                "placeholder" => 'asset::asset_type.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/asset_type/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/asset_type/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/asset_type',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/asset_type',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/asset_type',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/asset_type',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::asset_type.label.created_at',
            'name' => 'asset::asset_type.label.name',
            'status' => 'asset::asset_type.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::asset_type.groups.main",
                'key' => "main",
                'title' => "asset::asset_type.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::asset_type.groups.details",
                'key' => "documents",
                'title' => "asset::asset_type.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::asset_type.groups.images",
                'key' => "documents",
                'title' => "asset::asset_type.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::asset_type.groups.settings",
                'key' => "documents",
                'title' => "asset::asset_type.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'AssetType',
        ],

        
        
    ];
