<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Condition::class,
            'table' => 'assetise_asset_conditions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['user_id',  'name',  'reference',  'timeframe',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/condition',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'asset::condition.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "reference", 
                "type" => "text", 
                "label" => 'asset::condition.label.reference', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "timeframe", 
                "type" => "text", 
                "label" => 'asset::condition.label.timeframe', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marking", 
                "type" => "text", 
                "label" => 'asset::condition.label.marking', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::condition.label.name',
                "placeholder" => 'asset::condition.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'reference',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::condition.label.reference',
                "placeholder" => 'asset::condition.placeholder.reference',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'timeframe',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::condition.label.timeframe',
                "placeholder" => 'asset::condition.placeholder.timeframe',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/condition/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/condition/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/condition',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/condition',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/condition',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/condition',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::condition.label.created_at',
            'name' => 'asset::condition.label.name',
            'status' => 'asset::condition.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::condition.groups.main",
                'key' => "main",
                'title' => "asset::condition.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::condition.groups.details",
                'key' => "documents",
                'title' => "asset::condition.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::condition.groups.images",
                'key' => "documents",
                'title' => "asset::condition.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::condition.groups.settings",
                'key' => "documents",
                'title' => "asset::condition.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Condition',
        ],

        
        
    ];
