<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Consequence::class,
            'table' => 'assetise_asset_consequences',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['condition_id',  'type',  'name',  'risk_rating',  'row_number',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/consequence',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "condition_id", 
                "type" => "text", 
                "label" => 'asset::consequence.label.condition_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'asset::consequence.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'asset::consequence.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "risk_rating", 
                "type" => "text", 
                "label" => 'asset::consequence.label.risk_rating', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "row_number", 
                "type" => "text", 
                "label" => 'asset::consequence.label.row_number', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'condition_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::consequence.label.condition_id',
                "placeholder" => 'asset::consequence.placeholder.condition_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'asset::consequence.label.type',
                "placeholder" => 'asset::consequence.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('asset::consequence.options.type');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::consequence.label.name',
                "placeholder" => 'asset::consequence.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'risk_rating',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::consequence.label.risk_rating',
                "placeholder" => 'asset::consequence.placeholder.risk_rating',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'row_number',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::consequence.label.row_number',
                "placeholder" => 'asset::consequence.placeholder.row_number',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/consequence/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/consequence/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/consequence',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/consequence',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/consequence',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/consequence',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::consequence.label.created_at',
            'name' => 'asset::consequence.label.name',
            'status' => 'asset::consequence.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::consequence.groups.main",
                'key' => "main",
                'title' => "asset::consequence.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::consequence.groups.details",
                'key' => "documents",
                'title' => "asset::consequence.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::consequence.groups.images",
                'key' => "documents",
                'title' => "asset::consequence.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::consequence.groups.settings",
                'key' => "documents",
                'title' => "asset::consequence.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Consequence',
        ],

        
        
    ];
