<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Expenditure::class,
            'table' => 'assetise_asset_expenditures',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['approved_jobs_id',  'user_id',  'cost',  'description',  'category',  'supplier_name',  'supplier_abn',  'invoice',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/expenditure',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "approved_jobs_id", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.approved_jobs_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cost", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_name", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.supplier_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_abn", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.supplier_abn', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice", 
                "type" => "text", 
                "label" => 'asset::expenditure.label.invoice', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'approved_jobs_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::expenditure.label.approved_jobs_id',
                "placeholder" => 'asset::expenditure.placeholder.approved_jobs_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::expenditure.label.cost',
                "placeholder" => 'asset::expenditure.placeholder.cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::expenditure.label.description',
                "placeholder" => 'asset::expenditure.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::expenditure.label.category',
                "placeholder" => 'asset::expenditure.placeholder.category',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::expenditure.label.supplier_name',
                "placeholder" => 'asset::expenditure.placeholder.supplier_name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_abn',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::expenditure.label.supplier_abn',
                "placeholder" => 'asset::expenditure.placeholder.supplier_abn',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::expenditure.label.invoice',
                "placeholder" => 'asset::expenditure.placeholder.invoice',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/expenditure/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/expenditure/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/expenditure',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/expenditure',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/expenditure',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/expenditure',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::expenditure.label.created_at',
            'name' => 'asset::expenditure.label.name',
            'status' => 'asset::expenditure.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::expenditure.groups.main",
                'key' => "main",
                'title' => "asset::expenditure.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::expenditure.groups.details",
                'key' => "documents",
                'title' => "asset::expenditure.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::expenditure.groups.images",
                'key' => "documents",
                'title' => "asset::expenditure.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::expenditure.groups.settings",
                'key' => "documents",
                'title' => "asset::expenditure.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Expenditure',
        ],

        
        
    ];
