<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Inspection::class,
            'table' => 'assetise_asset_inspections',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['asset_id',  'asset_type_id',  'user_id',  'assessed_by',  'consequence_m1',  'likelyhood_m1',  'criticality_index_m1',  'criticality_name_m1',  'assessment_date',  'condition_m',  'conditional_meaning_m',  'condition_notes',  'scope',  'unit_cost',  'actual_remaining_life',  'actual_replacement_date',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'asset/inspection',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "asset_id", 
                "type" => "text", 
                "label" => 'asset::inspection.label.asset_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "asset_type_id", 
                "type" => "text", 
                "label" => 'asset::inspection.label.asset_type_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assessed_by", 
                "type" => "text", 
                "label" => 'asset::inspection.label.assessed_by', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "consequence_m1", 
                "type" => "text", 
                "label" => 'asset::inspection.label.consequence_m1', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "likelyhood_m1", 
                "type" => "text", 
                "label" => 'asset::inspection.label.likelyhood_m1', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "criticality_index_m1", 
                "type" => "text", 
                "label" => 'asset::inspection.label.criticality_index_m1', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "criticality_name_m1", 
                "type" => "text", 
                "label" => 'asset::inspection.label.criticality_name_m1', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assessment_date", 
                "type" => "text", 
                "label" => 'asset::inspection.label.assessment_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "condition_m", 
                "type" => "text", 
                "label" => 'asset::inspection.label.condition_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "conditional_meaning_m", 
                "type" => "text", 
                "label" => 'asset::inspection.label.conditional_meaning_m', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "condition_notes", 
                "type" => "text", 
                "label" => 'asset::inspection.label.condition_notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "scope", 
                "type" => "text", 
                "label" => 'asset::inspection.label.scope', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_cost", 
                "type" => "text", 
                "label" => 'asset::inspection.label.unit_cost', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_remaining_life", 
                "type" => "text", 
                "label" => 'asset::inspection.label.actual_remaining_life', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "actual_replacement_date", 
                "type" => "text", 
                "label" => 'asset::inspection.label.actual_replacement_date', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'asset_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.asset_id',
                "placeholder" => 'asset::inspection.placeholder.asset_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'asset_type_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.asset_type_id',
                "placeholder" => 'asset::inspection.placeholder.asset_type_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assessed_by',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.assessed_by',
                "placeholder" => 'asset::inspection.placeholder.assessed_by',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'consequence_m1',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.consequence_m1',
                "placeholder" => 'asset::inspection.placeholder.consequence_m1',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'likelyhood_m1',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::inspection.label.likelyhood_m1',
                "placeholder" => 'asset::inspection.placeholder.likelyhood_m1',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'criticality_index_m1',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.criticality_index_m1',
                "placeholder" => 'asset::inspection.placeholder.criticality_index_m1',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'criticality_name_m1',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::inspection.label.criticality_name_m1',
                "placeholder" => 'asset::inspection.placeholder.criticality_name_m1',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assessment_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'asset::inspection.label.assessment_date',
                "placeholder" => 'asset::inspection.placeholder.assessment_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'condition_m',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.condition_m',
                "placeholder" => 'asset::inspection.placeholder.condition_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'conditional_meaning_m',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::inspection.label.conditional_meaning_m',
                "placeholder" => 'asset::inspection.placeholder.conditional_meaning_m',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'condition_notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::inspection.label.condition_notes',
                "placeholder" => 'asset::inspection.placeholder.condition_notes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'scope',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::inspection.label.scope',
                "placeholder" => 'asset::inspection.placeholder.scope',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_cost',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::inspection.label.unit_cost',
                "placeholder" => 'asset::inspection.placeholder.unit_cost',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_remaining_life',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::inspection.label.actual_remaining_life',
                "placeholder" => 'asset::inspection.placeholder.actual_remaining_life',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'actual_replacement_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'asset::inspection.label.actual_replacement_date',
                "placeholder" => 'asset::inspection.placeholder.actual_replacement_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/inspection/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/inspection/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/inspection',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/inspection',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/inspection',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/inspection',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::inspection.label.created_at',
            'name' => 'asset::inspection.label.name',
            'status' => 'asset::inspection.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::inspection.groups.main",
                'key' => "main",
                'title' => "asset::inspection.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::inspection.groups.details",
                'key' => "documents",
                'title' => "asset::inspection.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::inspection.groups.images",
                'key' => "documents",
                'title' => "asset::inspection.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::inspection.groups.settings",
                'key' => "documents",
                'title' => "asset::inspection.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Inspection',
        ],

        
        
    ];
