<?php


return  
    [
        'model' => [
            'model' => \Assetise\Asset\Models\Lcc::class,
            'table' => 'assetise_asset_lccs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['lcc_number',  'no_of_years',  'start_date',  'start_year',  'slack',  'cpi',  'priority'],
            'translatables' => [],
            'upload_folder' => 'asset/lcc',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "lcc_number", 
                "type" => "text", 
                "label" => 'asset::lcc.label.lcc_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_years", 
                "type" => "text", 
                "label" => 'asset::lcc.label.no_of_years', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'asset::lcc.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_year", 
                "type" => "text", 
                "label" => 'asset::lcc.label.start_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "slack", 
                "type" => "text", 
                "label" => 'asset::lcc.label.slack', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cpi", 
                "type" => "text", 
                "label" => 'asset::lcc.label.cpi', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "priority", 
                "type" => "text", 
                "label" => 'asset::lcc.label.priority', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'lcc_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::lcc.label.lcc_number',
                "placeholder" => 'asset::lcc.placeholder.lcc_number',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_years',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::lcc.label.no_of_years',
                "placeholder" => 'asset::lcc.placeholder.no_of_years',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'asset::lcc.label.start_date',
                "placeholder" => 'asset::lcc.placeholder.start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_year',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'asset::lcc.label.start_year',
                "placeholder" => 'asset::lcc.placeholder.start_year',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'slack',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::lcc.label.slack',
                "placeholder" => 'asset::lcc.placeholder.slack',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cpi',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'asset::lcc.label.cpi',
                "placeholder" => 'asset::lcc.placeholder.cpi',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'priority',
                "element" => 'text',
                "type" => 'text',
                "label" => 'asset::lcc.label.priority',
                "placeholder" => 'asset::lcc.placeholder.priority',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'asset/lcc/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'asset/lcc/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'asset/lcc',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'asset/lcc',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'asset/lcc',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'asset/lcc',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'asset::lcc.label.created_at',
            'name' => 'asset::lcc.label.name',
            'status' => 'asset::lcc.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "asset::lcc.groups.main",
                'key' => "main",
                'title' => "asset::lcc.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "asset::lcc.groups.details",
                'key' => "documents",
                'title' => "asset::lcc.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "asset::lcc.groups.images",
                'key' => "documents",
                'title' => "asset::lcc.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "asset::lcc.groups.settings",
                'key' => "documents",
                'title' => "asset::lcc.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Assetise',
            'package' => 'Asset',
            'module' => 'Lcc',
        ],

        
        
    ];
