<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetiseAssetAssetTypesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetise_asset_asset_types
         */
        Schema::create('assetise_asset_asset_types', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->integer('book_expected_life')->nullable();
            $table->double('replacement_unit_cost', 10,2)->nullable();
            $table->string('qty_type_m', 50)->nullable();
            $table->string('expected_life_source', 255)->nullable();
            $table->double('removal_cost', 10,2)->nullable();
            $table->string('removal_unit_cost_source', 255)->nullable();
            $table->double('supply_install_cost', 10,2)->nullable();
            $table->double('design_fees', 10,2)->nullable();
            $table->double('contingency', 10,2)->nullable();
            $table->integer('model')->nullable();
            $table->string('system', 255)->nullable();
            $table->text('images')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetise_asset_asset_types');
    }
}
