<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetiseAssetAssetsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetise_asset_assets
         */
        Schema::create('assetise_asset_assets', function ($table) {
            $table->increments('id');
            $table->integer('asset_type_id')->nullable();
            $table->integer('approved_jobs_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->integer('group_m')->nullable();
            $table->string('description', 255)->nullable();
            $table->string('id_number', 10)->nullable();
            $table->string('qty', 50)->nullable();
            $table->integer('qty_type_m')->nullable();
            $table->date('purchase_date')->nullable();
            $table->double('age', 10,2)->nullable();
            $table->date('book_replacement_date')->nullable();
            $table->double('book_remaining_life', 10,2)->nullable();
            $table->double('total_replacement_cost', 10,2)->nullable();
            $table->string('asset_category_m', 255)->nullable();
            $table->string('replace_refurbish_m', 255)->nullable();
            $table->string('funding_source', 255)->nullable();
            $table->text('images')->nullable();
            $table->integer('assetid2')->nullable();
            $table->string('comment', 255)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetise_asset_assets');
    }
}
