<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetiseAssetExpendituresTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetise_asset_expenditures
         */
        Schema::create('assetise_asset_expenditures', function ($table) {
            $table->increments('id');
            $table->integer('approved_jobs_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->double('cost', 10,2)->nullable();
            $table->string('description', 255)->nullable();
            $table->string('category', 100)->nullable();
            $table->string('supplier_name', 100)->nullable();
            $table->string('supplier_abn', 50)->nullable();
            $table->string('invoice', 100)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetise_asset_expenditures');
    }
}
