<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetiseAssetInspectionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetise_asset_inspections
         */
        Schema::create('assetise_asset_inspections', function ($table) {
            $table->increments('id');
            $table->integer('asset_id')->nullable();
            $table->integer('asset_type_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('assessed_by')->nullable();
            $table->integer('consequence_m1')->nullable();
            $table->string('likelyhood_m1', 50)->nullable();
            $table->integer('criticality_index_m1')->nullable();
            $table->string('criticality_name_m1', 50)->nullable();
            $table->date('assessment_date')->nullable();
            $table->integer('condition_m')->nullable();
            $table->integer('conditional_meaning_m')->nullable();
            $table->string('condition_notes', 255)->nullable();
            $table->text('scope')->nullable();
            $table->double('unit_cost', 10,2)->nullable();
            $table->double('actual_remaining_life', 10,2)->nullable();
            $table->date('actual_replacement_date')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetise_asset_inspections');
    }
}
