<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAssetiseAssetProposalsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: assetise_asset_proposals
         */
        Schema::create('assetise_asset_proposals', function ($table) {
            $table->increments('id');
            $table->string('proposal_id', 10)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('funding_year')->nullable();
            $table->double('budget', 10,2)->nullable();
            $table->string('status', 10)->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('assetise_asset_proposals');
    }
}
