<?php

namespace Assetise\Asset\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ExpenditureTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('assetise_asset_expenditures')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'assetise.asset.expenditure.view',
                'name'      => 'View Expenditure',
            ],
            [
                'slug'      => 'assetise.asset.expenditure.create',
                'name'      => 'Create Expenditure',
            ],
            [
                'slug'      => 'assetise.asset.expenditure.edit',
                'name'      => 'Update Expenditure',
            ],
            [
                'slug'      => 'assetise.asset.expenditure.delete',
                'name'      => 'Delete Expenditure',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/asset/expenditure',
                'name'        => 'Expenditure',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/asset/expenditure',
                'name'        => 'Expenditure',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'expenditure',
                'name'        => 'Expenditure',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Asset',
                'module'    => 'Expenditure',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'assetise.asset.expenditure.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
