<?php

namespace Assetise\Asset\Seeders;

use DB;
use Illuminate\Database\Seeder;

class InspectionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('assetise_asset_inspections')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'assetise.asset.inspection.view',
                'name'      => 'View Inspection',
            ],
            [
                'slug'      => 'assetise.asset.inspection.create',
                'name'      => 'Create Inspection',
            ],
            [
                'slug'      => 'assetise.asset.inspection.edit',
                'name'      => 'Update Inspection',
            ],
            [
                'slug'      => 'assetise.asset.inspection.delete',
                'name'      => 'Delete Inspection',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/asset/inspection',
                'name'        => 'Inspection',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/asset/inspection',
                'name'        => 'Inspection',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'inspection',
                'name'        => 'Inspection',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Asset',
                'module'    => 'Inspection',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'assetise.asset.inspection.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
