<?php

namespace Assetise\Asset\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Asset policy
        \Assetise\Asset\Models\Asset::class 
        => \Assetise\Asset\Policies\AssetPolicy::class,// Bind Inspection policy
        \Assetise\Asset\Models\Inspection::class 
        => \Assetise\Asset\Policies\InspectionPolicy::class,// Bind AssetType policy
        \Assetise\Asset\Models\AssetType::class 
        => \Assetise\Asset\Policies\AssetTypePolicy::class,// Bind Proposal policy
        \Assetise\Asset\Models\Proposal::class 
        => \Assetise\Asset\Policies\ProposalPolicy::class,// Bind Expenditure policy
        \Assetise\Asset\Models\Expenditure::class 
        => \Assetise\Asset\Policies\ExpenditurePolicy::class,// Bind ApprovedJobs policy
        \Assetise\Asset\Models\ApprovedJobs::class 
        => \Assetise\Asset\Policies\ApprovedJobsPolicy::class,// Bind AssetLevel policy
        \Assetise\Asset\Models\AssetLevel::class 
        => \Assetise\Asset\Policies\AssetLevelPolicy::class,// Bind AssetLocation policy
        \Assetise\Asset\Models\AssetLocation::class 
        => \Assetise\Asset\Policies\AssetLocationPolicy::class,// Bind Condition policy
        \Assetise\Asset\Models\Condition::class 
        => \Assetise\Asset\Policies\ConditionPolicy::class,// Bind Consequence policy
        \Assetise\Asset\Models\Consequence::class 
        => \Assetise\Asset\Policies\ConsequencePolicy::class,// Bind AssetClassification policy
        \Assetise\Asset\Models\AssetClassification::class 
        => \Assetise\Asset\Policies\AssetClassificationPolicy::class,// Bind Lcc policy
        \Assetise\Asset\Models\Lcc::class 
        => \Assetise\Asset\Policies\LccPolicy::class,// Bind Condition policy
        \Assetise\Asset\Models\Condition::class 
        => \Assetise\Asset\Policies\ConditionPolicy::class,// Bind Consequence policy
        \Assetise\Asset\Models\Consequence::class 
        => \Assetise\Asset\Policies\ConsequencePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
